gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallOptions Structure
CallOptions Methods
WithCancellationToken Method
WithDeadline Method
WithHeaders Method

CallOptions WithHeaders Method

Returns new instance of CallOptions with Headers set to the value provided. Values of all other fields are preserved.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public CallOptions WithHeaders(
    	Metadata headers
    )

    Public Function WithHeaders (
    	headers As Metadata
    ) As CallOptions

    public:
    CallOptions WithHeaders(
    	Metadata^ headers
    )

    member WithHeaders :
            headers : Metadata -> CallOptions

#### Parameters

headers
  Type: Grpc.Core
  Metadata
  The headers.

#### Return Value

Type: CallOptions
See Also

#### Reference

CallOptions Structure
Grpc.Core Namespace